/*********************************************************************************

 ** Universidade Nova de Lisboa - Faculdade de Ciências e Tecnologia

 **

 ** Protocolo XORi - flatbeacon_repositories.cc

 **

 ** Autores:

 ** André Garrido

 ** Rodolfo Oliveira

 **

 ** 1 de Março de 2010

** **********************************************************************************/



#include "flatbeacon_repositories.h"
#include <timer-handler.h>




/// Removes a node
void flatbeacon_Timer_del_neib::expire(Event *e)
{
	a_->neig_table->rm_entry(&(a_->dest_addr_),a_->code_);
};



flatbeacon_neib_node::flatbeacon_neib_node(int code): timer(this)
{
	dest_addr_= -1;
	next_hop_addr_=-1;
	code_=code;
	num_hops_= 0;
	for_query= false;
}










